/*---------------------------------------------------------------------------------------------------*\
|   Program Name: Word Counter Tool - Counts the number of elements in a macro vector                 |
|                                                                                                     |
|   Date: 05/24/12                                                                                    |
|   Version: Beta 1                                                                                   |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   This program counts the number of elements in a macro vector                                      | 
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|                  -TXTVECTOR = Text vector to analyse; from which the number of word is returned     |
|                                                                                                     |
|   Program outputs:                                                                                  |
|                  -Global macro variable containing the number of words in TXTVECTOR                 |
|																									  |
|   Macro variable definitions:  																	  |
|	TXTVECTOR = Text vector to analyse; from which the number of word is returned					  |
|  	WORDCOUNT = Macro variable containing the number of words in TXTVECTOR 							  |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
|                                                                                                     |
\*---------------------------------------------------------------------------------------------------*/

%macro MS_WORDCOUNT(TXTVECTOR=, WORDCOUNT=);

%GLOBAL &WORDCOUNT.; 
	/*Counting the number of words in the text vector*/
	%let NUMARG=0; 
			%do %while(%qscan(&TXTVECTOR,&NUMARG+1,%str( )) ne %str());
			%let NUMARG = %eval(&NUMARG+1);
			%end;
	
	%let &WORDCOUNT.=&NUMARG.;
	/*Echoing macro variables*/
	%PUT The text vector is: &TXTVECTOR.;
	%PUT The number of words in the text vector is: &&&WORDCOUNT.;
	
%mend MS_WORDCOUNT;
