****************************************************************************************************
*                                           PROGRAM OVERVIEW
****************************************************************************************************
*
* PROGRAM: 01_monitoring.sas  
*
* Created (mm/dd/yy): 11/01/2013
* Last modified: 11/01/2013
* Version: 1.0
*
*--------------------------------------------------------------------------------------------------
* PURPOSE:
*  Mini-Sentinel : Propensity Score Matching PROMPT (Prospective Routine Observational Monitoring Program Tool) 
*
*	 The Initial Developer of the Original Code is the 							  
*	 Division of Pharmacoepidemiology and Pharmacoeconomics, 					  
*	 Department of Medicine, Brigham and Women's Hospital and 					  
*	 Harvard Medical School					  									  
*																				  
*	 Module Leads: Joshua J Gagne, Shirley V Wang, Sebastian Schneeweiss			  
*	 Programmer:   Shirley V Wang												  
*	 Uses Pharmacoepidemiology Toolbox macros, created by Jeremy Rassen	
*--------------------------------------------------------------------------------------------------
* CONTACT INFO: 
*  Mini-Sentinel Coordinating Center
*  info@mini-sentinel.org
*
*--------------------------------------------------------------------------------------------------
*  CHANGE LOG: 
*
*   Version   Date       Initials	   Comment (reference external documentation when available)
*   -------   --------   --------   ---------------------------------------------------------------
*             mm/dd/yy
*
***************************************************************************************************;

%macro monitoringperiod();
		%global startfollowup sasstartdate endfollowup enddate;

		%let startfollowup = 01/01/2009;
		%let sasstartdate = '01JAN2009';

		%if &look = 1 %then %do;
	    	%let ENDFOLLOWUP = '31MAR2009';
			%let enddate = 03/31/2009;
		%end;
		%if &look = 2 %then %do;
	    	%let ENDFOLLOWUP = '30JUN2009';
			%let enddate = 06/30/2009;
		%end;
		%if &look = 3 %then %do;
	    	%let ENDFOLLOWUP = '30SEP2009';
			%let enddate = 09/30/2009;
		%end;
		%if &look = 4 %then %do;
	    	%let ENDFOLLOWUP = '31DEC2009';
			%let enddate = 12/31/2009;
		%end;
		%if &look = 5 %then %do;
	    	%let ENDFOLLOWUP = '31MAR2010';
			%let enddate = 03/31/2010;
		%end;
		%if &look = 6 %then %do;
	    	%let ENDFOLLOWUP = '30JUN2010';
			%let enddate = 06/30/2010;
		%end;
		%if &look = 7 %then %do;
	    	%let ENDFOLLOWUP = '30SEP2010';
			%let enddate = 09/30/2010;
		%end;
		%if &look = 8 %then %do;
	    	%let ENDFOLLOWUP = '31DEC2010';
			%let enddate = 12/31/2010;
		%end;
		%if &look = 9 %then %do;
	    	%let ENDFOLLOWUP = '31MAR2011';
			%let enddate = 03/31/2011;
		%end;
		%if &look = 10 %then %do;
	    	%let ENDFOLLOWUP = '30JUN2011';
			%let enddate = 06/30/2011;
		%end;
		%if &look = 11 %then %do;
	    	%let ENDFOLLOWUP = '30SEP2011';
			%let enddate = 09/30/2011;
		%end;
		%if &look = 12 %then %do;
		%let ENDFOLLOWUP = '31DEC2011';
			%let enddate = 12/31/2011;
		%end;
%MEND;

